# Uses of Class
com.google.protobuf.Struct.Builder

Packages that use Struct.Builder
Package
Description
com.google.protobuf

## Uses of Struct.Builder in com.google.protobuf

Methods in com.google.protobuf that return Struct.Builder
Modifier and Type
Method
Description
`Struct.Builder`
Struct.Builder.`clear()`
`Struct.Builder`
Struct.Builder.`clearFields()`
`Struct.Builder`
Value.Builder.`getStructValueBuilder()`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`
`Struct.Builder`
Struct.Builder.`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`Struct.Builder`
Struct.Builder.`mergeFrom(Message other)`
`Struct.Builder`
Struct.Builder.`mergeFrom(Struct other)`
`final Struct.Builder`
Struct.Builder.`mergeUnknownFields(UnknownFieldSet unknownFields)`
`static Struct.Builder`
Struct.`newBuilder()`
`static Struct.Builder`
Struct.`newBuilder(Struct prototype)`
`Struct.Builder`
Struct.`newBuilderForType()`
`protected Struct.Builder`
Struct.`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
`Struct.Builder`
Struct.Builder.`putAllFields(Map<String,Value> values)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Struct.Builder`
Struct.Builder.`putFields(String key, Value value)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Struct.Builder`
Struct.Builder.`removeFields(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`final Struct.Builder`
Struct.Builder.`setUnknownFields(UnknownFieldSet unknownFields)`
`Struct.Builder`
Struct.`toBuilder()`
Methods in com.google.protobuf with parameters of type Struct.Builder
Modifier and Type
Method
Description
`Value.Builder`
Value.Builder.`setStructValue(Struct.Builder builderForValue)`
`.google.protobuf.Struct struct_value = 5 [json_name = "structValue"];`